from django.shortcuts import render
from django.utils import timezone
from posts.models import Notice

# Create your views here.
def index(request):
    notices = Notice.objects.all()
    notices = notices.filter(pub_start__lte=timezone.now())
    notices = notices.filter(pub_end__gte=timezone.now())
    return render(request, 'posts/notice.html', {'allnotice': notices})

def welcome_seite(request):
    return render(request, 'posts/index.html')

def about_seite(request):
    return render(request, 'posts/about.html')